Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Static Public Member Functions | List of all members
ItemConfig::Config Class Reference

## Public Member Functions
const Item & | GetCollectible (integer ID)
const Item & | GetTrinket (integer ID)
const Item & | GetNullItem (integer ID)
const Card & | GetCard (integer ID)
const PillEffect & | GetPillEffect (PillEffect PillEffectID)
const ItemList & | GetCollectibles ()
const ItemList & | GetTrinkets ()
const ItemList & | GetNullItems ()
const CostumeList & | GetCostumes ()
const CardList & | GetCards ()
const PillList & | GetPillEffects ()

## Static Public Member Functions
static boolean | IsValidCollectible (CollectibleType ID)
static boolean | ShouldAddCostumeOnPickup (Item Config)

## Member Function Documentation

## ◆ GetCard()

const Card& ItemConfig::Config::GetCard | ( | integer | ID | ) |

## ◆ GetCards()

const CardList& ItemConfig::Config::GetCards | ( |  | ) |

## ◆ GetCollectible()

const Item& ItemConfig::Config::GetCollectible | ( | integer | ID | ) |

## ◆ GetCollectibles()

const ItemList& ItemConfig::Config::GetCollectibles | ( |  | ) |

## ◆ GetCostumes()

const CostumeList& ItemConfig::Config::GetCostumes | ( |  | ) |

## ◆ GetNullItem()

const Item& ItemConfig::Config::GetNullItem | ( | integer | ID | ) |

## ◆ GetNullItems()

const ItemList& ItemConfig::Config::GetNullItems | ( |  | ) |

## ◆ GetPillEffect()

const PillEffect& ItemConfig::Config::GetPillEffect | ( | PillEffect | PillEffectID | ) |

## ◆ GetPillEffects()

const PillList& ItemConfig::Config::GetPillEffects | ( |  | ) |

## ◆ GetTrinket()

const Item& ItemConfig::Config::GetTrinket | ( | integer | ID | ) |

## ◆ GetTrinkets()

const ItemList& ItemConfig::Config::GetTrinkets | ( |  | ) |

## ◆ IsValidCollectible()

static boolean ItemConfig::Config::IsValidCollectible | ( | CollectibleType | ID | ) |
| static

## ◆ ShouldAddCostumeOnPickup()

static boolean ItemConfig::Config::ShouldAddCostumeOnPickup | ( | Item | Config | ) |
| static